/* 
 * Copyright (c) 2010, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */
/* This define must precede inclusion of Registry.h */
#define Registry_CURDESC randDesc
#include <xdc/std.h>
#include <stdio.h>

#include <xdc/runtime/Log.h>
#include <xdc/runtime/Diags.h>

#include <xdc/runtime/Registry.h>

#include <RandNum.h>

Registry_Desc randDesc;
UInt randomSeed = 42;

Void randNumInit()
{
    Registry_Result   result;

    result = Registry_addModule(&randDesc, RANDNUM_MODNAME);

    if (result != Registry_SUCCESS) {
        printf("Registry_addModule failed\n");
    }
}


UInt randNum() 
{
    UInt num;

    Log_print0(Diags_ENTRY, "RANDNUM randNum entered");

    randomSeed = randomSeed * 1103515245 +12345;
    num = (UInt)(randomSeed / 65536) % 32768;

    Log_print1(Diags_EXIT, "RANDNUM randNum returning %d", num);

    return (num);
}

/*
 *  @(#) linuxdist; 1, 0, 0,37; 10-29-2010 17:26:03; /db/atree/library/trees/osal/osal-c12x/src/ xlibrary

 */

